Usage
Get usage warnings
Returns usage warnings for the authenticated org (e.g. at 80% and 95% of plan limits). Requires org-level JWT.
GET
/api/usage/warningsSDK setup
Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.
import { Configuration, UsageApi } from 'mudbase-sdk';
const configuration = new Configuration({
basePath: 'https://cloud.mudbase.dev',
accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});
const usage = new UsageApi(configuration);import { Configuration, UsageApi } from 'mudbase-sdk';
const configuration = new Configuration({
basePath: 'https://cloud.mudbase.dev',
accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});
const usage = new UsageApi(configuration);Example request
Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.
const { data: result } = await usage.getUsageWarnings();const { data: result } = await usage.getUsageWarnings();Playground
liveTest this endpoint with your own credentials. Your requests will be sent to the live API.
Use the auth endpoints to obtain a JWT.
No Request Yet
Send a request to see the full inspector
Authentication
Requires JWT
Note
Include your JWT in the
Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →Responses
200Usage warnings
json
{
"warnings": [
{
"resource": "port index",
"threshold": 988.46,
"current": 739.11,
"limit": 975.06,
"message": "New yellow Chicken with ergonomic design for knowledgeable comfort"
}
]
}{
"warnings": [
{
"resource": "port index",
"threshold": 988.46,
"current": 739.11,
"limit": 975.06,
"message": "New yellow Chicken with ergonomic design for knowledgeable comfort"
}
]
}400Organization required
401—
Errors
| Code | Meaning |
|---|---|
400 | Organization required |
401 | — |